package com.chenyang.druid.sql.dialect.sqlserver.ast.stmt;

import com.chenyang.druid.sql.ast.SQLExpr;
import com.chenyang.druid.sql.dialect.sqlserver.ast.SQLServerObjectImpl;
import java.util.ArrayList;
import java.util.List;

public abstract class SQLServerPivotBase extends SQLServerObjectImpl {
   protected final List<SQLExpr> pivotFor = new ArrayList();

   public List<SQLExpr> getPivotFor() {
      return this.pivotFor;
   }

   public SQLServerPivotBase clone() {
      throw new UnsupportedOperationException();
   }
}
